package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.Date;

/**
 * 专辑曲谱关联表
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
@ApiModel(value = "album_music_relate-专辑曲谱关联表")
public class AlbumMusicRelate extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("album_id_")
    @ApiModelProperty(value = "专辑ID")
    private Long albumId;  //专辑ID

    @TableField("music_sheet_id_")
    @ApiModelProperty(value = "曲谱ID")
    private Long musicSheetId;  //曲谱ID

    @TableField("sort_number_")
    @ApiModelProperty(value = "排序号")
    private Integer sortNumber;  //排序号

    @TableField("create_time_")
    @ApiModelProperty(value = "添加时间")
    private java.util.Date createTime;  //添加时间

    @TableField("create_by_")
    @ApiModelProperty(value = "添加人")
    private Long createBy;  //添加人


	public AlbumMusicRelate setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public AlbumMusicRelate setAlbumId(Long albumId) {
	    this.albumId = albumId;
	    return this;
	}

	public Long getAlbumId() {
	    return this.albumId;
	}

	public AlbumMusicRelate setMusicSheetId(Long musicSheetId) {
	    this.musicSheetId = musicSheetId;
	    return this;
	}

	public Long getMusicSheetId() {
	    return this.musicSheetId;
	}

	public AlbumMusicRelate setSortNumber(Integer sortNumber) {
	    this.sortNumber = sortNumber;
	    return this;
	}

	public Integer getSortNumber() {
	    return this.sortNumber;
	}

	public AlbumMusicRelate setCreateTime(java.util.Date createTime) {
	    this.createTime = createTime;
	    return this;
	}

	public java.util.Date getCreateTime() {
	    return this.createTime;
	}

	public AlbumMusicRelate setCreateBy(Long createBy) {
	    this.createBy = createBy;
	    return this;
	}

	public Long getCreateBy() {
	    return this.createBy;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}